{% extends "header.html" %}
{% load url from future %}
{% load i18n %}

{% block contenido %}
<div class="row clearfix">
	<div class="col-md-5 column">
		<div class="row clearfix">
			{% blocktrans %}Client{% endblocktrans %}
		</div>
		<div class="row clearfix">
			<div class="col-md-5 column">
				<form method="get" id="sell_form_filter_client">
            		<div class="input-group input-group-sm">
	                  <input class="form-control" id="sell_filter_clients" name="sell_filter_clients" type="search" placeholder="{% blocktrans %}Client{% endblocktrans %}">
	                  <span class="input-group-btn">
	                    <button class="btn" type="submit" name="search"><span class="fui-search" ></span></button>
	                  </span>
	                </div>
            	</form>
            </div>
            <div class="col-md-7 column">
            	<form method="post" id="sell_form_client"> {% csrf_token %}
	                <select name="small" class="select-block mb1" style="display: none;" onChange="
	                	submitform('sell_form_client');
	                ">
	                    <option value="None" {% if not cliente_seleccionado_email %} selected="selected" {% endif %}>{% blocktrans %}None client{% endblocktrans %}</option>
	                    {% for usuario in lista_clientes %}
	                    <option value="{{usuario.email}}" {% ifequal usuario.email cliente_seleccionado_email %} selected="selected" {% endifequal %}>{{usuario.nombre}} - {{usuario.email}}</option>
	                    {% endfor %}
	                </select>
            	</form>
        	</div>
		</div>
	</div>
	<div class="col-md-1 column"></div>
	<div class="col-md-6 column">
		<div class="row clearfix">
			{% blocktrans %}Total{% endblocktrans %}:
		</div>
		<div class="row clearfix">
			<div class="col-md-4 column">
				<div class="row clearfix">
					<strong>{{total}} &euro;</strong>
				</div>
			</div>
			<div class="col-md-2 column"></div>
			<div class="col-md-6 column">
				<div class="row clearfix">
					<button class="btn btn btn-block btn-success" id="sell" name="sell" data-toggle="modal" data-target="#ModalSell" autofocus="true" onkeypress="
									remove_attribute('sell', 'autofocus');
									add_attribute('sell_finish', 'autofocus');
						"> {% blocktrans %}SOLD OUT!{% endblocktrans %}</button>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="row clearfix">
	<div class="col-md-5 column">
		<div class="row clearfix">
			<ul class="nav nav-tabs nav-append-content">
		        <li class="active"><a href="#tab1">{% blocktrans %}Products{% endblocktrans %}</a></li>
		    </ul>
	        <div class="tab-content">
	            <div class="tab-pane active" id="tab1">
	            	<div class="row clearfix">
						<div class="col-md-8 column">
							<form method="get" id="sell_filter_products_form" name="sell_filter_products_form">
			            	<div class="input-group input-group-sm">
                          	  <input class="form-control" id="sell_filter_products" name="sell_filter_products" type="search" placeholder="{% blocktrans %}Product/Barcode{% endblocktrans %}">
	                          <span class="input-group-btn">
	                            <button class="btn" type="submit"><span class="fui-search" ></span></button>
	                          </span>
	                        </div>
	                        </form>
	                    </div>
	                </div>
	                <div class="row clearfix" style="bottom:0px;">
	                	<table class="table table-hover">
				            <thead>
				              <tr>
				                <th>{% blocktrans %}Product{% endblocktrans %}</th>
				                <th>{% blocktrans %}Prize{% endblocktrans %}</th>
				              </tr>
				            </thead>
				            <tbody>
				            	{% for producto, precio in lista_productos %}
					              <tr onClick="
					              	var_to_var('{{producto.codigo_de_barras}}','sell_to_cart');
					              	submitform('sell_to_cart_form');
					              ">
					                <td>{{producto.nombre}}</td>
					                <td>{{precio.precio}} &euro;</td>
					              </tr>
				              	{% endfor %}
				            </tbody>
				        </table>
	                </div>
	            </div>
	        </div>
		</div>
	</div>
	<div class="col-md-1 column"></div>
	<div class="col-md-6 column">
		<div class="row clearfix">
			<ul class="nav nav-tabs nav-append-content">
		        <li class="active"><a href="#tab1">Selled</a></li>
		    </ul>
	        <div class="tab-content">
	            <div class="tab-pane active" id="tab1">
	            	<div class="row clearfix">
	                    <table class="table table-striped">
	                        <thead>
	                          <tr>
	                            <th>{% blocktrans %}Product{% endblocktrans %}</th>
	                            <th>{% blocktrans %}Prize{% endblocktrans %}</th>
	                            <th>{% blocktrans %}Amount{% endblocktrans %}</th>
	                            <th></th>
	                          </tr>
	                        </thead>
	                        <tbody>
	                        	{% for producto, precio, cantidad in cesta %}
		                          <tr>
		                            <td>{{producto.nombre}}</td>
		                            <td>{{precio.precio}} &euro;</td>
		                            <td align="center">
										<!--<span class="ui-spinner ui-widget ui-widget-content ui-corner-all"><input type="text" id="spinner-01" placeholder="" value="{{cantidad}}" class="form-control spinner input-sm ui-spinner-input" aria-valuemin="-99" aria-valuemax="99" aria-valuenow="{{cantidad}}" autocomplete="off" role="spinbutton">
										</span>-->
										{{cantidad}}
		                            </td>
		                            <td>
		                           		<span class="glyphicon glyphicon-trash" onClick="
		                           			var_to_var('{{producto.codigo_de_barras}}','sell_delete_from_cart')
		                           			submitform('sell_delete_from_cart_form');
		                           		"></span>
		                            </td>
		                          </tr>
	                          	{% endfor %}
	                        </tbody>
	                      </table>
	                </div>
	            </div>
	        </div>
        </div>
	</div>
</div>

<form method="POST" id="sell_to_cart_form"> {% csrf_token %}
	<input type="text" style="display:none;" id="sell_to_cart" name="sell_to_cart">
</form>
<form method="POST" id="sell_delete_from_cart_form"> {% csrf_token %}
	<input type="text" style="display:none;" id="sell_delete_from_cart" name="sell_delete_from_cart">
</form>

<!-- Modal -->
<form method="POST"> {% csrf_token %}
<div class="modal fade" id="ModalSell" tabindex="-1" role="dialog" aria-labelledby="myModalLogoutLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title" id="myModalLogoutLabel">{% blocktrans %}Close Sale{% endblocktrans %}</h4>
      </div>
      <div class="modal-body">
            <div class="row clearfix">
		    	<div class="col-md-12 column">
		    		<div class="col-md-2 column"></div>
		    		<div class="col-md-10 column">
			    		<div class="row clearfix">
				    		<strong>{% blocktrans %}Total{% endblocktrans %}:</strong><br/>
				    		<div class="col-md-1 column"></div>
			    			<div class="col-md-6 column">
				    			{{total}} &euro;
				    		</div>
			    		</div>
			    		{% if cliente_seleccionado_email %}
				    		<div class="row clearfix">
					    		<strong>{% blocktrans %}Pay Now?{% endblocktrans %}</strong><br/>
					    		<div class="col-md-1 column"></div>
				    			<div class="col-md-6 column">
					    			<input type="checkbox" data-toggle="switch" name="sell_paynow"/>
					    		</div>
					    	</div>
				    	{% endif %}
					    <div class="row clearfix">
				    		<strong>{% blocktrans %}Take Order?{% endblocktrans %}</strong><br/>
				    		<div class="col-md-1 column"></div>
			    			<div class="col-md-6 column">
				    			<input type="checkbox" data-toggle="switch" name="sell_takeorder"/>
				    		</div>
			    		</div>
			    		<div class="row clearfix">
				    		<strong>{% blocktrans %}Pay{% endblocktrans %}:</strong><br/>
			    			<div class="col-md-1 column"></div>
			    			<div class="col-md-6 column">
			    				<input type="text" value="" placeholder="{% blocktrans %}Type how much you pay{% endblocktrans %}" class="form-control" id="sell_pay" name="sell_pay" autocomplete="off" OnClick="show('sell_campoCambio')" onkeyup="restar({{total}}, 'sell_pay', 'restadiv')">
			    			</div>
			    		</div>
			    		<div id="sell_campoCambio" class="row clearfix" style="display:None;">
				    		<strong>{% blocktrans %}Change{% endblocktrans %}:</strong><br/>
				    		<div class="col-md-1 column"></div>
			    			<div id="restadiv" class="col-md-6 column">
			    				0.00 &euro;
			    			</div>
				    	</div>
				    </div>
		    	</div>
		    </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" OnClick="hide('sell_campoCambio')">{% blocktrans %}Clean{% endblocktrans %}</button>
        <button type="submit" class="btn btn-primary" name="sell_finish" id="sell_finish">{% blocktrans %}Sell{% endblocktrans %}</button>
      </div>
    </div>
  </div>
</div>
</form>


{% endblock %}
<!-- <div class="row clearfix"> -->
<!-- <div class="col-md-8 column"> -->